# Undelete an activity log Undeletes a soft-deleted activity log. Endpoint: POST /v1alpha/activityLogs/{activityLog}:undelete Version: v1alpha Security: oauth2_client_credentials, oauth2_authorization_code ## Path parameters: - `activityLog` (string, required) The activityLog id. ## Response 200 fields (application/json): - `name` (string) (IDENTIFIER) The resource name of the activity. Format: activityLog/{activity_log} - `type` (string, required) Required. The type of the activity. Enum: "ACTIVITY_TYPE_UNSPECIFIED", "PEP_AND_SANCTIONS", "DOCUMENT_VERIFICATION", "IDENTITY_CHECK", "RISK_RATING", "UNUSUAL_ACTIVITY_REPORT", "SUSPICIOUS_MATTER_REPORT", "CUSTOM", "KYB_PROFILE", "FORM_CREATED" - `source` (string, required) Required. The source that performed the activity. Enum: "ACTIVITY_SOURCE_UNSPECIFIED", "BNDRY", "RAPID_ID", "TRUUTH", "CONNECT_ID", "HAWK_AI", "KYC6", "CUSTOMER", "SIMPLE_KYC" - `payload` (any, required) - `createTime` (string) Output only. The timestamp when the activity was created. - `updateTime` (string) Output only. The timestamp when the activity was last updated. - `occurredTime` (string) Output only. The timestamp when the activity occurred. For special activity types, this field uses specific dates from the payload: - UNUSUAL_ACTIVITY_REPORT: Uses the incident_date from report_details - SUSPICIOUS_MATTER_REPORT: Uses the incident_date from report_details - CUSTOM: Uses the activity_time from the custom activity payload For all other activity types, or when the above dates are not provided, this defaults to the activity creation time. - `deleteTime` (string) Output only. The timestamp when the activity log was deleted. See AIP-164. - `purgeTime` (string) Output only. The timestamp when the activity log will be purged if soft-deleted. See AIP-164. - `entityNames` (array, required) The entities involved in this activity. - `workspace` (string) (OPTIONAL) The workspace involved in this activity.